<?php

require_once 'model/Articulos.Model.php';
require_once 'model/Utils.Model.php';

class ArticulosController
{
    public $Articulos_Model;
    public $Utils_Model;
           
    public function __CONSTRUCT()
    {
        $this->Articulos_Model = new Articulos();
        $this->Utils_Model = new Utils();
    }
    
    public function Index()
    {
      
       require_once 'views/articulos_lista.php';  
     
    }

    
    public function datos()
    {
        // llamado cuando se esta modificando un registro de cliente en particular y/o se crea uno */
        // class="aui-kit-actionbutton" data-href ="Articulos-datos"
        //--------------------------------------------------------------

        // recuperamos los datos del cliente si se ha recibod uno, es modificacion
        // sino se recibe ninguno, es nuevo registro


        

        $CurId = isset($_REQUEST['id']) ? $_REQUEST['id'] : ""; 

      
        if($CurId <> '')
            { 

               
                    foreach($this->Articulos_Model->listar($CurId) as $dataReg)
                   
                    //solo el codigo que ya posee
                    //$aLstActividad =$this->Utils_Model->mh_listar_actividades($cod_actividad);
                    
                    // todos los codigos de actividad economica
                    //$aLstActividad =$this->Utils_Model->mh_listar_actividades('');

               
                    require_once 'views/articulos_datos.php';  
                   
                

                }
        else
                {
                    print 'ER-No hay coincidencias...';
                }
      
    
    
    }
  
    
    public function new()
    {
       // Procedimiento para cuando es un nuevo registro, se envia -1 como id
       // para que el procedimiento almacenado SQLServer retorne una estructura
       // de datos vacia
       //----------------------------------------------------------------------------
        $CurId = '-1'; 

   

                    // Recuperando strucutra vacia
                    foreach($this->Articulos_Model->listar($CurId) as $dataReg)
                   
                    //solo el codigo que ya posee
                    //$aLstActividad =$this->Utils_Model->mh_listar_actividades($cod_actividad);
                    
                    // todos los codigos de actividad economica
                    $aLstActividad =$this->Utils_Model->mh_listar_actividades('');

                      // todos los codigos de actividad economica
                    $aLstDeptos =$this->Utils_Model->mh_listar_departamentos('');

                      // todos los codigos de actividad economica
                    $aLstMunicipios =$this->Utils_Model->mh_listar_municipios('');

                    require_once 'views/articulos_datos.php';  
                   
        
    
    }
  
    
    
    public function grabar()
    {
        // procedimiento para grabar los cambios en un articulo
        //------------------------------------------------------------------

         
        $iditem     = isset($_REQUEST['iditem']) ? $_REQUEST['iditem'] : ''; 
        $id         = isset($_REQUEST['id']) ? $_REQUEST['id'] : ''; 
        $itemnombre = isset($_REQUEST['itemnombre']) ? $_REQUEST['itemnombre']: ''; 
        $marca      = isset($_REQUEST['marca']) ? $_REQUEST['marca']: ''; 
        $modelo     = isset($_REQUEST['modelo']) ? $_REQUEST['modelo']: ''; 
        $preven1    = isset($_REQUEST['preven1']) ? $_REQUEST['preven1']: '0'; 
        
        $idequival  = isset($_REQUEST['idequival']) ? $_REQUEST['idequival']: ''; 

        $itemclase  = isset($_REQUEST['clase']) ? $_REQUEST['clase']: '1'; 

        $activo     =  isset($_REQUEST['activo']) ? $_REQUEST['activo'] : '0';
        $activo     = ($activo =='on') ? '1':'0';

        $venta     =  isset($_REQUEST['venta']) ? $_REQUEST['venta'] : '0';
        $venta     = ($venta =='on') ? '1':'0';


       
           
         foreach($this->Articulos_Model->grabar($iditem,$id,$itemnombre,$marca,$modelo,$preven1,$idequival,$activo,$venta,$itemclase) as $p)
          {
                        
                print $p->error_msg;
                   
          
          }


    }
  
      public function invalidar()
    {

        $id = isset($_REQUEST['id']) ? $_REQUEST['id'] : ''; 
        
      

         foreach($this->Articulos_Model->eliminar($id) as $p)
          {
                 
                if(substr($p->error_msg,0,2) =='OK')
                {
                    echo "OK-Registro se ha eliminado exitosamente";
                }
                else
                {
                    echo $p->error_msg;
                }
                
           
                
            }
            

         }





   
  
}